| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
ulp.hpp File Reference

GLM_GTC_ulp More...

Go to the source code of this file.

## Functions
template<typename T >
GLM_FUNC_DECL uint | float_distance (T const &x, T const &y)
| Return the distance in the number of ULP between 2 scalars. More...
template<typename T , template< typename > class vecType>
GLM_FUNC_DECL vecType< uint > | float_distance (vecType< T > const &x, vecType< T > const &y)
| Return the distance in the number of ULP between 2 vectors. More...
template<typename genType >
GLM_FUNC_DECL genType | next_float (genType const &x)
| Return the next ULP value(s) after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | next_float (genType const &x, uint const &Distance)
| Return the value(s) ULP distance after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prev_float (genType const &x)
| Return the previous ULP value(s) before the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prev_float (genType const &x, uint const &Distance)
| Return the value(s) ULP distance before the input value(s). More...

## Detailed Description

GLM_GTC_ulp

See also
  GLM Core (dependence)

Definition in file ulp.hpp.